/*
Demo2.c: The Demo2 program is input for X104 8 channels DI/O board.
         (single channel programmable)

Compiler: MSC 6.0
          MSVC 1.52

Compile mode: large

Project: Demo1.c
         ..\..\Lib\7188xcl.lib
         
Hardware: 7188XC + X104
X104: 8 Channels, each channel can be programmed to D/I or D/O

[26/July/2005] by Liam
*/

#include <conio.h>
#include "..\..\LIB\7188xc.h"

char buf[9];
void SetDataIn(long DatIn);
void main(void)
{
    int quit=0;
    int i;
    unsigned data[6];
    
    InitLib();
    Init5DigitLed();

    // Set the mode is intput
    SetTo1Dir(2);       // Set Direction
    SetTi1Dir(1);
    SetTo0Dir(2);       // Set Direction
    SetTi0Dir(1);
    SetDio9Dir(1);
    SetDio4Dir(1);
    SetDio14Dir(1);
    while(!quit)
    {
        data[0]=GetTo1();
        data[1]=GetTi1();
        data[2]=GetDio9();
        data[3]=GetDio4();
        data[4]=GetDio14();
        data[5]=GetTi0();
        data[6]=GetTo0();
        
        for (i=0; i<=6; i++)
        {
            if (data[i]==0)
            {
                Putch('0');
                /* Show5DigitLed(i+1,0); */
            }
            else
            {
                Putch('1');
                /* Show5DigitLed(i+1,1); */
            }
        }
        Puts("\r");
        if(Kbhit() && Getch()=='q') quit=1;
    }
}
